xboard:
  # 后端提供商类型
  # 必须与 remote.config.json 中的 panels 键名一致（例如: mihomo）
  provider: 5itv
  
  # 远程配置源
  remote_config:
    sources:
      # 主配置源（重定向服务）
      - name: redirect
        url: https://file.5itv.cn/app/config/macos.config.json
        priority: 100
    timeout_seconds: 15
    max_retries: 3
    retry_delay_seconds: 3
  
  domain_service:
    enable: false
    cache_minutes: 5
    max_retries: 3
    test_timeout_seconds: 5
    max_concurrent_tests: 10
  
  sdk:
    timeout_milliseconds: 8000
    enable_debug_log: true
    strategy: race_fastest
  
  log:
    enabled: true
    level: info
    prefix: "[XBoard-Prod]"
    
  # 应用信息
  app:
    title: 5itv
    website: https://cloud.5itv.cn
  
  # 订阅配置
  subscription:
    prefer_encrypt: false

  security:
    # 响应混淆前缀（需要与后端 Caddy 反代配置保持一致）
    # 例如 Caddy 配置：replace "{\"status\"" "YOUR_PREFIX_{\"status\""
    # SDK 会自动检测响应是否包含此前缀，有则反混淆，无则直接解析
    # 如果后端没有使用混淆，设置为空字符串或 null
    obfuscation_prefix:
    
    # User-Agent 配置（域名竞速专用）
    # ⚠️ 重要：这些UA字符串与后端约定，修改可能导致功能异常
    user_agents:
      # API请求/域名竞速 UA（包含加密字符串用于 Caddy 认证）
      # 加密部分应与你的后端配置一致
      api_encrypted:
      # 域名竞速测试 UA
      domain_racing_test: FlClash/1.0
